## python-restructuredtext-lint 0.12.2

=== requirements.txt ===
docutils>=0.11,<1.0

=== debian/changelog ===
python-restructuredtext-lint (0.12.2-2) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:50:23 +0000

python-restructuredtext-lint (0.12.2-1) unstable; urgency=medium

  * Initial release. (Closes: #801748)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 09:06:19 +0200

=== debian/control ===
Source: python-restructuredtext-lint
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-setuptools,
               python-all,
               python3-setuptools,
               python3-all
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-restructuredtext-lint.git
Vcs-Git: git://anonscm.debian.org/openstack/python-restructuredtext-lint.git
Homepage: https://github.com/twolfson/restructuredtext-lint

Package: python-restructuredtext-lint
Architecture: all
Depends: python-docutils, ${python:Depends}, ${misc:Depends}
Description: reStructuredText linter - Python 2.7
 This was created out of frustration with PyPI; it sucks finding out your reST
 is invalid after uploading it. It is being developed in junction with a
 Sublime Text linter.
 .
 This package contains the Python 2.7 module.

Package: python3-restructuredtext-lint
Architecture: all
Depends: python3-docutils, ${python3:Depends}, ${misc:Depends}
Description: reStructuredText linter - Python 3.x
 This was created out of frustration with PyPI; it sucks finding out your reST
 is invalid after uploading it. It is being developed in junction with a
 Sublime Text linter.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/twolfson/restructuredtext_lint.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-restructuredtext-lint; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-restructuredtext-lint; \
	done
	rm -rf $(CURDIR)/debian/python*-restructuredtext-lint/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-restructuredtext-lint/usr/bin/restructuredtext-lint $(CURDIR)/debian/python-restructuredtext-lint/usr/bin/python2-restructuredtext-lint
	mv $(CURDIR)/debian/python3-restructuredtext-lint/usr/bin/restructuredtext-lint $(CURDIR)/debian/python3-restructuredtext-lint/usr/bin/python3-restructuredtext-lint
	mv $(CURDIR)/debian/python-restructuredtext-lint/usr/bin/rst-lint $(CURDIR)/debian/python-restructuredtext-lint/usr/bin/python2-rst-lint
	mv $(CURDIR)/debian/python3-restructuredtext-lint/usr/bin/rst-lint $(CURDIR)/debian/python3-restructuredtext-lint/usr/bin/python3-rst-lint

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-restructuredtext-lint 1.3.0

=== debian/changelog ===
python-restructuredtext-lint (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 01:29:31 +0200

python-restructuredtext-lint (1.3.0-1) experimental; urgency=medium

  * New upstream version
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 24 Sep 2019 16:05:33 +0200

python-restructuredtext-lint (0.12.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Drop Python 2 support (Closes: #938143).
  * Fix d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 11:11:56 +0200

=== debian/control ===
Source: python-restructuredtext-lint
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-restructuredtext-lint
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-restructuredtext-lint.git
Homepage: https://github.com/twolfson/restructuredtext-lint

Package: python3-restructuredtext-lint
Architecture: all
Depends:
 python3-docutils,
 ${misc:Depends},
 ${python3:Depends},
Description: reStructuredText linter - Python 3.x
 This was created out of frustration with PyPI; it sucks finding out your reST
 is invalid after uploading it. It is being developed in junction with a
 Sublime Text linter.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/twolfson/restructuredtext_lint.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-restructuredtext-lint 1.3.2

=== debian/changelog ===
python-restructuredtext-lint (1.3.2-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090606).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:06:17 +0100

python-restructuredtext-lint (1.3.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:33:43 +0200

python-restructuredtext-lint (1.3.2-1) experimental; urgency=medium

  * d/rules: fixed upstream URL.
  * New upstream release.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:38:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/twolfson/restructuredtext_lint.git
+UPSTREAM_GIT := https://github.com/twolfson/restructuredtext-lint
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build

=== debian/watch ===
version=3
https://github.com/twolfson/restructuredtext_lint/tags .*/(\d[\d\.]+)\.tar\.gz
